package com.chenyang.druid.sql.dialect.spark.ast.expr;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.dialect.spark.ast.SparkSqlObjectImpl;
import java.util.ArrayList;
import java.util.List;

public abstract class SparkSelectPivotBase extends SparkSqlObjectImpl {
   protected final List<SQLExpr> pivotFor = new ArrayList();

   public List<SQLExpr> getPivotFor() {
      return this.pivotFor;
   }

   public SparkSelectPivotBase clone() {
      throw new UnsupportedOperationException();
   }
}
